import { getFullRenderRange, makeRowHeightManager } from '../rowHeightManager';
var NAME = 'rowHeightManager';
describe("".concat(NAME), function () {
  it('getFullRenderRange', function () {
    var mockRowCount = 5;
    expect(getFullRenderRange(mockRowCount).bottomIndex).toBe(mockRowCount);
  });
});
describe("".concat(NAME, " makeRowHeightManager"), function () {
  var rowHeightManager = makeRowHeightManager(10, 40);
  beforeEach(function () {
    rowHeightManager = makeRowHeightManager(10, 40);
  });
  afterAll(function () {
    rowHeightManager = null;
  });
  it('has 10 rows, maxRenderHeight=-200 and getRenderRange ', function () {
    rowHeightManager.getRenderRange(0, -200, 10);
  });
  it('has 10 rows, maxRenderHeight=-200, offset=100 and getRenderRange ', function () {
    rowHeightManager.getRenderRange(100, -200, 10);
  });
  it('has 10 rows,participate rowCount greater than 10 and getRenderRange ', function () {
    rowHeightManager.getRenderRange(0, 0, 11);
  });
  it('has 10 rows , add 1 row and getRenderRange ', function () {
    rowHeightManager.updateRow(10, 0, 40);
    rowHeightManager.getRenderRange(0, 200, 10);
  });
});